No I did not. I didn't know that was a requirement I must have always had it set that way before because I normally use parallel for dim dwgs.
Thanks Dave
Keith
No I did not. I didn't know that was a requirement I must have always had it set that way before because I normally use parallel for dim dwgs.
Thanks Dave
Keith
Is it not possible to print full scale in SU7 free version? I have in previous versions set the print/su scale to 1:1 to print out full size patterns of curved parts. Now this is grayed out and not accessable.
Keith
I like them better in the draw menu. Plugin menu for me is more for occasional use.
Keith
Thanks for the comments. Sorry I don't know how to make the zip and install easier as this is my first try for a ruby that others use. I have been building my latest projects with loose tenons and found drawing them manually time comsuming as there were so many.
Keith
I have written a mortise and tenon ruby using the woodwrk.rb by jhoutman to do most of the geometry. This is one file mortisetool.rb that places 2 new commands on the Draw menu. The zip file also has a short doc with it. The tenons are pulled from the ends so draw your joints flush and tenon length will be added. Handles square and round ends (mortise made with router).
Keith
TIG if I am reading your post correctly I define the vectors as shown?
vec_start=po1-centerpoint
vec_end=po4-centerpoint
Second question will the following statement pick the face that includes the radius on the ends between point1 and point4?
cface=codef.entities.add_face po1,po2,po3,po4
Thanks for your help
Keith
I am currently working on a mortise tool script based on the dado tool of Woodwrk.rb and it is working fine for square end mortise but I also want to add the capability of round mortise that is made with a router.
This is the final section of the script that draws the mortise:
po1=pt1.transform(backt) #Typical results (3.75,-0.5,0)
po4=pt4.transform(backt) #Typical results (3.75,-0.25,0)
po2=pt2.transform(backt) #Typical results (0.25,-0.5,0)
po3=pt3.transform(backt) #Typical results (0.25,-0.25,0)
codef=@entity.definition
cface=codef.entities.add_face po1,po2,po3,po4
h=-1*@@depth
cface.pushpull h
Sketchup.active_model.commit_operation
What I need to do is add a curve (half circle) that connects p1 to p4 and p2 to p3
From the SU I see that this is the type of code that is needed and I know the centerpoints
radius but am not sure of the start and end vectors etc.
# Create a circle perpendicular to the normal or Z axis
vector = Geom;;Vector3d.new 0,0,1
vector2 = Geom;;Vector3d.new 1,0,0
vector3 = vector.normalize!
model = Sketchup.active_model
entities = model.active_entities
arccurve = entities.add_arc centerpoint, vector2, vector3, 10, 15, 35
UI.messagebox arccurve
Your help would be appreciated
Keith
I was testing the dado feature of the woodworking rb and found that if you draw 1 or 2 lines on the dado surface perpendicular to the dado direction selecting the from and to edge between these lines results in a stopped dado.
A neat use of this feature is to draw 2 lines on the end of a board and a dado in between results in a mortise very quickly. And as the data entered in the form sticks it is easy to repeat the same mortise on other ends.
I have some questions for the author of this very useful rb? Describe the "to edge" choices of the form. It may also be helpful to new users to define the terms "to" edge and "from" edge.
Thanks for sharing your woodworking tool.
Keith
utilitiestools.rb has a tool called Query that will show you the coordinates of any selected point. Don't know where I downloaded it from.
Keith
I downloaded the script and will try it on my woodworking models as I seem to use lots of scenes and layers.
Question: In a ruby script when I know both the layer name and the scene name what would I have to do to add the layer as visible in the scene?
Thanks
Keith
This looks like a great tool for me as I need a calculator quite often. The way it seems to work best for me is.
Thanks
Keith
As I understand SU when I leave layer0 as the active layer then all of the components details or drawing information remains on layer0 and moving it to a new layer via the "I" information form only affects the visibility of the component. So that is what I want to do the same as if I selected the component pressed "I" and changed the layer to new layer I just created. I hesitated to use the term move the component to the new layer as I understand that is not really what happens.
My layer management plan for woodworking projects is such that each part is made a component and has a Assembly layer (A01TableTop) and a part layer for the dimensioned drawing (P01TableTop). I also have an Assembly Scene that makes all the parts in the assembled position visible. My box.rb now creates these layers as hidden so they don't show up in scenes where they are not wanted.
In a perfect world for me box.rb would also:
1.Place the first instance of the component on the new named assy layer.
2.Place a copy or second instance of the component on the new named part layer.
3.Add the assembly layer to the Assembly Scene.
Thanks
Keith
I have with, help here modified, the sample box.rb to make the box a component and make a new hidden layer with the component name as part of the layer name. Now I would like to move the component's visibility to the new named layer as I always leave layer0 as the active layer. I thought the layer_name_from_component.rb was also going to include that move but it stoped at creating the layer.
Thanks
Keith
I have 2 questions for the ruby experts.
I use query to find points using the query tool and then use these values to move parts to as sometimes it seems easier than using the mouse/drag move tool. Currently I type these into a sticky note the retype into the VCB. I don't do much in Ruby but have found I could modify some scripts to make them more useful in my woodworking drawings.
Keith
Here are 2 new models that may meet the requirements for the collection. One is extra long twin bed made as a captians bed with drawers below the bed. The other is a twin pedestal dining room table.
Keith
http://sketchup.google.com/3dwarehouse/details?mid=f21822974c8c492085c5f690e9252fc5
http://sketchup.google.com/3dwarehouse/details?mid=615b800fb332525385c5f690e9252fc5
Edited link to Table
When I first started SU rotate was difficult. The selection of the proper axis often evaded me. I learned from Dave R that changing the angle of view would help but I have since deserted the rotate tool for a Ruby Script rotix11.rb. This lets me pick the axis and rotate 90 deg with one arrow click.
Follow me also was dificult until I learned to draw a plane first then draw the desired shape on the face of the plane.
Daves scale -1 for making a mirror image is great help I use it all the time.
Leaving layer 0 as the active layer at all times was big help. I draw everything on layer 0 then use the information box to move to the desired location. In fact my current template has 10+ layers already created and named A01,A02 etc. Now I draw a new part make it a component and while the information window is open I highlight & copy the name, select the desired layer ie A03 then in the layer window I use paste to add the name to the layer name A03-TopRail. I also have a scene for layer0 so I can easly go from an assembly view to a blank page.
Keith
I understand about standards and I am fine with you saying that the models need fixing to be included. That seems reasonable to me.
Keith
Thanks for lookig at the models. I had forgot that I omitted the slots for the slats in the models where the 1/4 panels sit in the rails and styes. I will remeber to include that in the future and will go back and fix the models.
Yes I have started to use loose tenon joints since I built a fixture that works with an old shop smith and works like a horizontal router so long parts are no longer a problem. (except my shop is narrow and crowded)
The gap in nightstand is intentional and required for seasonal wood movement as the shelf is solid wood.
I only use texture where visible from the front and sides most of the time to show the family what thier designed furniture will look like and to get the approval to build.
Keith
I fixed the links so all models are shown
Keith
Thanks for the help loading models to the 3d warehouse.
Here are the models I uploaded there are some that don't show the full joint detail as I have been using loose tenons and sometimes add this as I build in the shop. Otherwise all parts are components and to scale.
http://sketchup.google.com/3dwarehouse/details?mid=200fe2e2486a0ddf85c5f690e9252fc5
http://sketchup.google.com/3dwarehouse/details?mid=c9dd43888905630285c5f690e9252fc5
http://sketchup.google.com/3dwarehouse/details?mid=3357d112432da01b85c5f690e9252fc5
http://sketchup.google.com/3dwarehouse/details?mid=509d9d137fd7465a85c5f690e9252fc5
http://sketchup.google.com/3dwarehouse/details?mid=f006ed79465eb37a85c5f690e9252fc5
http://sketchup.google.com/3dwarehouse/details?mid=754372e400efa8a485c5f690e9252fc5
Thanks for looking
Keith